function [mH, m1, m2, a, b, l, g] = physical_parameters
    global p1 p2 p3 p4 p5 p6 p7 p8 p9 p10 p11 psi;

    mH = 10;    % Mass of hip [kg]
    m1 = 5;     % Mass of first link [kg]
    m2 = 5;     % Mass of second link [kg]
    a = 0.5;    % Length of lower leg [m]  
    b = 0.5;    % Length of upper leg [m]
    l = a + b;  % Leg length [m]
    g = 9.81;   % Gravity [m/s^2]

    p1 = mH * l ^ 2 + m1 * b ^ 2 + m2 * l ^ 2;
    p2 = m2 * l * a;
    p3 = m2 * a ^ 2;
    p4 = (m1 * b + m2 * l + mH * l) * g;
    p5 = m2 * a * g;

    p6 = m1 * l ^ 2 + l ^ 2 * mH + b ^ 2 * m2;
    p7 = a * m1 * l;
    p8 = a ^ 2 * m1;
    p9 = a * m1 * b;
    p10 = b * m2 * l + l ^ 2 * mH + m1 * b * l;
    p11 = b * m2 * a;

    psi = 3*pi/180; % Incline of slope [radians]
%     psi = 5*pi/180; % Incline of slope [radians]
end
