function Dx = aby_weighted(t,x, theta_inputs_to_phi,...
                phi_evaluated_at_theta, Dphi_evaluated_at_theta)
    global p1 p2 p3 p4 p5 p6 p7 p8 p9 p10 p11 psi;

    theta = x(1);
    Dtheta = x(2);
    phi = interp1(theta_inputs_to_phi,...
        phi_evaluated_at_theta,theta,'spline');
    Dphi = interp1(theta_inputs_to_phi,...
        Dphi_evaluated_at_theta,theta,'spline');

    alpha0 = p1 * p3 - cos(-theta + phi) ^ 2 * p2 ^ 2;
    beta0 = sin(-theta + phi) * p2 ...
        * (Dphi ^ 2 * p3 - p2 * cos(-theta + phi));
    gamma0 = -sin(theta) * p4 * p3 ...
        + p2 * cos(-theta + phi) * sin(phi) * p5;

    Dx = [Dtheta; -(beta0*Dtheta^2 + gamma0)/alpha0];
end

