function plot_gait_period(gait_period, impacts)
     fig = figure(10001);
    
    set(0,'Units','pixels');
    scnsize = get(0,'ScreenSize');
    
    screen_width = scnsize(3);
    screen_height = scnsize(4);
    
    pos = [ 0,...                   % Bottom left corner x - pos
            0.5*screen_height,...   % Bottom left corner y - pos
            1/3*screen_width,...    % Figure width
            0.5*screen_height];     % Figure height
    set(fig,'OuterPosition',pos) 
    
    hold on;
    plot(gait_period,'-ok');

    default_axis = axis;
    default_axis(2) = length(impacts(:,1));
    default_axis(3) = default_axis(3) - 0.1;
    default_axis(4) = default_axis(4) + 0.1;
    axis(default_axis);
    axis manual;
    line([1:length(impacts(:,1));1:length(impacts(:,1))], ...
        [default_axis(3)*ones(size(impacts,1),1), ...
        default_axis(4)*ones(size(impacts,1),1)]',...
        'LineStyle', ':', 'Color', 'b');
    
    title('Convergence to steady gait');
    xlabel('Number of steps');
    ylabel('Time between steps [s]');
    
    hold off;   
end

